Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Interface Described

All Known Subinterfaces:
  GraphSelection, KeyDescription, Selection

All Known Implementing Classes:
  AdditionalNodeFieldsEditor, And, Application, Argument, Array, Attribute, AttributeItem, Block, BooleanAttribute, BooleanEditor, BooleanTreeAttribute, ButtonEditor, ByteAttribute, ByteTreeAttribute, CharAttribute, CharTreeAttribute, CheckBoxItem, ChoiceGroup, CommandItem, CompositeEditor, ConfigureInstance, CreateMap, DensityTreeAttribute, DescribedLevel, Directory, DoubleAttribute, DoubleTreeAttribute, DTDSourceFile, Edit, EnumerationEditor, EnumValueImpl, Executable, Exists, ExplorerFactory, Expression, ExtensionItem, FieldSelection, FileFactory, FileObjectItem, FileTypeItem, FilterItem, First, FloatAttribute, FloatConst, FloatingWindow, FloatTreeAttribute, ForAll, GlobalTransformation, GraphSelectionImpl, Group, HeightTreeAttribute, Hook, IdTreeAttribute, InitializeClass, Insert, InstanceOf, IntAttribute, IntConst, IntEnumerationAttribute, IntTreeAttribute, Item, ItemFactory, KeyDescriptionImpl, Layout, LazyObjectItem, Library, Link, LocationParameterTreeAttribute, LongAttribute, LongTreeAttribute, MainWindow, MapSource, Matrix3dAttribute, Matrix3fAttribute, Matrix4dAttribute, Matrix4fAttribute, MethodEditor, MimeTypeItem, MTGSourceFile, NodeReference, NodeSelection, Not, NullConst, NumberEditor, NumberTreeAttribute, NumericEditor, ObjectAttribute, ObjectExpr, ObjectItem, ObjectItemFactory, ObjectSelection, ObjectTreeAttribute, Option, OptionExplorerFactory, OptionGroup, OptionsSelection, Or, PanelFactory, ParentAttribute, PluginDescriptor, PluginPrerequisite, Point2dAttribute, Point2fAttribute, Point3dAttribute, Point3fAttribute, PointConst, PolyEditor, Prerequisite, PropertyEditor, Resource, ResourceDirectory, Root, SelectableItem, SelectionBase, Separator, SetVar, SharedValue, ShortAttribute, ShortTreeAttribute, SONodeReference, SourceFile, SpecialEdgeDescriptor, Split, StringAttribute, StringConst, StringEditor, Tab, ToolBarFactory, ToolFactory, TreeValuesTreeAttribute, Tuple2dAttribute, Tuple2fAttribute, Tuple3dAttribute, Tuple3fAttribute, Tuple4dAttribute, Tuple4fAttribute, TurtleStateAttribute, TypeItem, UIPropertyDependency, UserFieldsEditor, Value, Var, Vars, Vector2dAttribute, Vector2fAttribute, Vector3dAttribute, Vector3fAttribute, ViewComponentFactory, Void, VoidAttribute, VolumeAttribute, XSLTFilterItem

    public interface Described

An instance of `Described` provides descriptions for an object. The descriptions are obtained by the method `getDescription(String)`. Which particular description is returned depends on the argument `type`: It is one of the string constants defined in this interface.

Author:
  Ole Kniemeyer

Field Summary
`static java.lang.String` | `ACCELERATOR_KEY` Constant for `getDescription(String)` specifying an accelerator key to be used as the accelerator for the object.
`static java.lang.String` | `ICON` Constant for `getDescription(String)` specifying an icon.
`static java.lang.String` | `MNEMONIC_KEY` Constant for `getDescription(String)` specifying a key code to be used as the mnemonic for the object.
`static java.lang.String` | `NAME` Constant for `getDescription(String)` specifying the name.
`static java.lang.String` | `SHORT_DESCRIPTION` Constant for `getDescription(String)` specifying a short description.
`static java.lang.String` | `TITLE` Constant for `getDescription(String)` specifying a title.

Method Summary
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.

Field Detail

### ACCELERATOR_KEY

    static final java.lang.String ACCELERATOR_KEY

  Constant for `getDescription(String)` specifying an accelerator key to be used as the accelerator for the object. The returned value has to be an instance of `KeyStroke` or a `String` which can be converted to a `KeyStroke` by `KeyStroke.getKeyStroke(String)`.

  See Also:
    Constant Field Values

### ICON

    static final java.lang.String ICON

  Constant for `getDescription(String)` specifying an icon. The returned value has to be an instance of `IconSource`.

  See Also:
    Constant Field Values

### MNEMONIC_KEY

    static final java.lang.String MNEMONIC_KEY

  Constant for `getDescription(String)` specifying a key code to be used as the mnemonic for the object. The returned value has to be an instance of `Number` or `Character`.

  See Also:
    Constant Field Values

### NAME

    static final java.lang.String NAME

  Constant for `getDescription(String)` specifying the name. The returned value has to be a `String`, it is used, among others, for menus and buttons.

  See Also:
    Constant Field Values

### SHORT_DESCRIPTION

    static final java.lang.String SHORT_DESCRIPTION

  Constant for `getDescription(String)` specifying a short description. The returned value has to be a `String`, it is used, among others, for tooltip text.

  See Also:
    Constant Field Values

### TITLE

    static final java.lang.String TITLE

  Constant for `getDescription(String)` specifying a title. The returned value has to be a `String`, it is used for titles.

  See Also:
    Constant Field Values

Method Detail

### getDescription

    java.lang.Object getDescription(java.lang.String type)

  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD